List rated movies
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/rated/movies' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/rated/movies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/rated/movies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/tElnmtQ6yz1PjN1kePNl8yMSb59.jpg",
"genre_ids": [
16,
12,
10751,
35
],
"id": 1241982,
"original_language": "en",
"original_title": "Moana 2",
"overview": "After receiving an unexpected call from her wayfinding ancestors, Moana journeys alongside Maui and a new crew to the far seas of Oceania and into dangerous, long-lost waters for an adventure unlike anything she's ever faced.",
"popularity": 4485.032,
"poster_path": "/yh64qw9mgXBvlaWDi7Q9tpUBAvH.jpg",
"rating": 8,
"release_date": "2024-11-21",
"title": "Moana 2",
"video": false,
"vote_average": 6.831,
"vote_count": 425
}
],
"total_pages": 1,
"total_results": 1
}Account
List rated movies
This endpoint allows you to get a user’s list of rated movies.
GET
/
account
/
{account_id}
/
rated
/
movies
List rated movies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
language format of the details you want to get.
Example:
"en-US"
what page the query belongs
Example:
"1"
filter the query by ascending or descending order
Example:
"created_at.asc"
filter by the user session ID
Example:
"string"
Response
200 - application/json
Rated movies
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/tElnmtQ6yz1PjN1kePNl8yMSb59.jpg",
"genre_ids": [16, 12, 10751, 35],
"id": 1241982,
"original_language": "en",
"original_title": "Moana 2",
"overview": "After receiving an unexpected call from her wayfinding ancestors, Moana journeys alongside Maui and a new crew to the far seas of Oceania and into dangerous, long-lost waters for an adventure unlike anything she's ever faced.",
"popularity": 4485.032,
"poster_path": "/yh64qw9mgXBvlaWDi7Q9tpUBAvH.jpg",
"rating": 8,
"release_date": "2024-11-21",
"title": "Moana 2",
"video": false,
"vote_average": 6.831,
"vote_count": 425
}
]
Example:
1
Example:
1
⌘I